Subject: Re: bug#64198: Feature request: compile.el's "Find this in" prompt should be hookable.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 20:02:29 +0300

> From: Dave Abrahams <[email-masked]>
> Date: Wed, 21 Jun 2023 09:09:08 -0700
> Cc: [email-masked]
> 
>  Before discussing patches, could you please describe your situation?
>  Specifically, how does it happen that neither the compilation
>  directory plus the file name shown by the diagnostics nor the search
>  of compilation-search-path succeed to locate the file?  And what would
>  the hook function you suggest adding do to resolve this, i.e. how
>  would it know where to look for the file?
> 
> When Swift asserts, it doesn't write the path to the file into the output, because… reasons I grudgingly
> accept.  So one needs to guess at the file.  https://github.com/apple/swift/issues/66777 contains all the
> details, but if you want additional info, please ask.

I don't know what Swift is, and that issue talks about something
called #fileID, which I again have no idea about.  So yes, please do
elaborate, and TIA.